Skip to main content

Refunds


Overview

A refund, also known as a follow-on credit, returns the payment amount from a completed capture or sale transaction. A refund is linked to the original transaction and requires the transaction ID from that capture or sale response. This differs from a stand-alone credit, which does not require a prior transaction.

Supported Processors

Supported processors: Chase Paymentech Solutions, Elavon, FDC Nashville Global, UATP,

Supported processors: Chase Paymentech Solutions, FDC Nashville Global,

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

The {id} is the transaction ID returned in the capture or sale response.

Example

This example shows a airline refund. does not require clientReferenceInformation.code.

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "processingInformation": {    "industryDataType": "airline"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "500",      "currency": "USD"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/refunds/6823038625416445403955/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/refunds/6823038625416445403955"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "6823038625416445403955",  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "processorInformation": {    "approvalCode": "888888",    "responseCode": "100"  },  "reconciliationId": "67722608EGMV6Q7V",  "refundAmountDetails": {    "currency": "USD",    "refundAmount": "500.00"  },  "status": "PENDING",  "submitTimeUtc": "2026-04-24T02:37:42Z"}

Processor-Specific Refund Information

Chase Paymentech Solutions

When you use a Diners Club card, you must also include travelInformation.transit.airline.legs[].flightNumber in addition to the required fields.

Elavon

When you use a Diners Club card, you must also include travelInformation.transit.airline.legs[].flightNumber in addition to the required fields.

FDC Nashville Global

FDC Nashville Global does not require any fields beyond the default required fields for a refund.

UATP

You must request a refund within 180 days of the original capture or sale.

You must include a valid ticket document number in one of these fields:

  • travelInformation.transit.airline.ticketNumber: set the value to the ticket number, which can be up to 12 digits. appends this value with your 3-digit International Air Transport Association (IATA) merchant code to send a 15-digit ticket document number to UATP.
  • clientReferenceInformation.reconciliationId: set this value to your 3-digit IATA merchant code followed by the ticket number, which can be up to 12 digits, for a total of 15 digits.

If you include both fields in the request, and you use the reconciliation ID for your own reconciliation rather than the ticket document number, you must set the value for travelInformation.transit.airline.ticketNumber as described and ensure that the first three digits of the reconciliation ID do not include your IATA code.

Visa Platform Connect

Visa Platform Connect does not require clientReferenceInformation.code for a refund.

Processor-Specific Refund Information

Chase Paymentech Solutions

When you use a Diners Club card, you must also include travelInformation.transit.airline.legs[].flightNumber in addition to the required fields.

FDC Nashville Global

FDC Nashville Global does not require any fields beyond the default required fields for a refund.

Visa Platform Connect

does not require clientReferenceInformation.code for a refund.

Required Fields

FieldTypeDescription
clientReferenceInformation.code
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount

You can use these optional fields to include additional airline data with a refund.

Optional Fields
FieldTypeDescription
travelInformation.agency.code
travelInformation.agency.name
travelInformation.transit.airline.arrivalDate
travelInformation.transit.airline.carrierName
travelInformation.transit.airline.clearingCount
travelInformation.transit.airline.clearingSequence
travelInformation.transit.airline.creditReasonIndicator
travelInformation.transit.airline.customerCode
travelInformation.transit.airline.documentTypeFor a list of possible values, see Airline Data Codes.
travelInformation.transit.airline.electronicTicketIndicator
travelInformation.transit.airline.exchangeTicketAmount
travelInformation.transit.airline.exchangeTicketFeeAmount
travelInformation.transit.airline.invoiceNumber
travelInformation.transit.airline.numberOfPassengers
travelInformation.transit.airline.passengerNameValue format: lastname/firstname.
travelInformation.transit.airline.reservationSystemCodeAvailable for Visa only.
travelInformation.transit.airline.restrictedTicketDesciption
travelInformation.transit.airline.restrictedTicketIndicator
travelInformation.transit.airline.ticketChangeIndicator
travelInformation.transit.airline.ticketIssueDate
travelInformation.transit.airline.ticketIssuer.locality
travelInformation.transit.airline.ticketNumber
travelInformation.transit.airline.totalClearingAmount
travelInformation.transit.airline.totalFeeAmount
travelInformation.transit.airline.transactionTypeSet to one of these values: 01 (payment is for an airline ticket) or 02 (payment is for an ancillary purchase).

These optional fields apply to a ticket purchase and support up to four travel legs (travelInformation.transit.airline.legs[]).

Optional Fields for Ticket Purchases
FieldTypeDescription
travelInformation.transit.airline.legs[].arrivalTime
travelInformation.transit.airline.legs[].arrivalTimeMeridian
travelInformation.transit.airline.legs[].carrierCode
travelInformation.transit.airline.legs[].class
travelInformation.transit.airline.legs[].conjunctionTicket
travelInformation.transit.airline.legs[].couponNumber
travelInformation.transit.airline.legs[].departureDate
travelInformation.transit.airline.legs[].departureTime
travelInformation.transit.airline.legs[].departureTimeMeridian
travelInformation.transit.airline.legs[].destinationAirportCode
travelInformation.transit.airline.legs[].endorsementsRestrictions
travelInformation.transit.airline.legs[].exchangeTicketNumber
travelInformation.transit.airline.legs[].fareBasis
travelInformation.transit.airline.legs[].feeAmount
travelInformation.transit.airline.legs[].flightNumber
travelInformation.transit.airline.legs[].originatingAirportCode
travelInformation.transit.airline.legs[].stopoverIndicator
travelInformation.transit.airline.legs[].taxAmount
travelInformation.transit.airline.legs[].totalFareAmount
Chase Paymentech Solutions Required Fields
FieldTypeDescription
processingInformation.industryDataTypeSet the value to airline.
UATP Required Fields
FieldTypeDescription
clientReferenceInformation.reconciliationId

Last published: September 29, 2026